Bug 1501240

Summary: Enable migration device
Product: Red Hat Enterprise Linux 7 Reporter: Miroslav Rezanina <mrezanin>
Component: qemu-kvm-rhevAssignee: Miroslav Rezanina <mrezanin>
Status: CLOSED ERRATA QA Contact: xianwang <xianwang>
Severity: low Docs Contact:
Priority: medium    
Version: 7.5CC: chayang, juzhang, michen, mrezanin, mtessun, qzhang, virt-maint
Target Milestone: rcKeywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: qemu-kvm-rhev-2.10.0-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-11 00:41:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1498496    

Description Miroslav Rezanina 2017-10-12 09:13:42 UTC
QEMU 2.10 introduce new device used by migration. This allows to use benefits of QOM object during migration. This device is not accessible over command line and is used internally.

We want to keep this device to improve our migration handling.

Comment 2 Qunfang Zhang 2017-10-12 09:20:37 UTC
Hello, Mirek

Then for QE, how to verify this? Can general migration functional test as before cover this? 

Thanks!
Qunfang

Comment 3 Miroslav Rezanina 2017-10-12 09:31:00 UTC
Hi Qunfang,

yes, general migration functionality should cover this as this device is internal.

Comment 4 Qunfang Zhang 2017-10-12 09:37:16 UTC
(In reply to Miroslav Rezanina from comment #3)
> Hi Qunfang,
> 
> yes, general migration functionality should cover this as this device is
> internal.

Okay, thanks!

Comment 5 Martin Tessun 2017-10-13 11:23:13 UTC
(In reply to Miroslav Rezanina from comment #0)
> QEMU 2.10 introduce new device used by migration. This allows to use
> benefits of QOM object during migration. This device is not accessible over
> command line and is used internally.
> 
> We want to keep this device to improve our migration handling.

Shouldn't the device be in qemu-kvm-rhev anyways (as this is based on 2.10 version)?

Comment 9 errata-xmlrpc 2018-04-11 00:41:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104